## How to publish

If you want to package a script for others to use your API, you can do that too.

### Instantiate

```javascript
var MyService = (function () {
    var client = restifier.createClient({
        base: 'https://api.myservice.com'
    });

    // note that this is `post` on the client class
    client.addNote = client.helper.post('/note', function validate (data) {
        return typeof data.contents === 'string' && data.contents.length > 0;
    });

    return client;
})();
```

### Call a method

```javascript
MyService.addNote({ contents: ''}, function (err, json) {
    // err will report validation failed, this is due to contents being empty
});
```

## Creating a Client

Creating a server is straightforward, as you simply invoke the createClient API, which takes an options object with the options listed below:

```javascript
var client = restifier.createClient({
    name: 'MyService',
});
```

There are actually three separate clients shipped in restify:

* ***JsonClient***: sends and expects application/json
StringClient: sends url-encoded request and expects text/plain
HttpClient: thin wrapper over node's http/https libraries

